#!/usr/bin/env python
import re
try:
    from urllib.request import urlopen
except ImportError:
    from urllib2 import urlopen


urldir = u"https://www.sqlite.org/"

dlpage = urlopen(urldir + u"download.html").read().decode("utf-8")
filespec, = re.findall(u'''['"][0-9]{4}/sqlite-autoconf-[0-9]+\\.tar\\.gz['"]''', dlpage)

print(urldir + filespec[1:-1])